import 'package:flutter/material.dart';
import 'package:project02marinzhang/top.dart';
import 'package:project02marinzhang/year.dart';

import 'actor.dart';
import 'home.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Navigation Over Screens',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
//      home: MainPage(),

      // Declare routes
      routes: {
        // Main initial route
        '/': (context) => Home(),
        // Second route
        '/second': (context) => Actor(),
        '/third': (context) => Year(),
        '/fourth': (context) => Top(),
      },
      initialRoute: '/',
    );
  }
}
